﻿-- SD-4872
DECLARE
	FeatureId VARCHAR2(38);
	PortalSysAdminUnit VARCHAR2(38) := '{720B771C-E7A7-4F31-9CFB-52CD21C3739F}';
	is_record_exists INT := 0;
BEGIN
	UPDATE
		"SysModuleEdit"
	SET
		"CardSchemaUId" = (SELECT "UId" FROM "SysSchema" "SS" WHERE "Name" = 'EmailTemplatePageMultilingual' AND ROWNUM = 1)
	WHERE
		"SysModuleEntityId" = (
			SELECT "Id"
			FROM "SysModuleEntity" SME
			WHERE "SME"."SysEntitySchemaUId" = (
				SELECT "SS"."UId"
				FROM "SysSchema" "SS"
				WHERE "SS"."Name" = 'EmailTemplate'
					AND "SS"."ExtendParent" = 0));
	
	UPDATE "SysLookup"
	SET "SysEditPageSchemaUId" = (SELECT "UId" FROM "SysSchema" "SS" WHERE "Name" = 'EmailTemplatePageMultilingual' AND ROWNUM = 1)
	WHERE
		"SysEntitySchemaUId" = (
			SELECT "SS"."UId"
			FROM "SysSchema" "SS"
			WHERE "SS"."Name" = 'EmailTemplate'
				AND "SS"."ExtendParent" = 0);
	BEGIN
		SELECT COUNT(*) INTO is_record_exists FROM "SysAdminUnit" sa WHERE sa."Id" = PortalSysAdminUnit;
		IF is_record_exists <> 0
			THEN
				SELECT "Id" INTO FeatureId FROM "Feature" WHERE "Code" = 'EmailMessageMultiLanguageV2' AND ROWNUM = 1;
				SELECT COUNT(*) INTO is_record_exists FROM "AdminUnitFeatureState" st WHERE st."FeatureId" = FeatureId AND st."SysAdminUnitId" = PortalSysAdminUnit;
				IF is_record_exists = 0
				THEN
					INSERT INTO "AdminUnitFeatureState" ("FeatureId", "FeatureState", "SysAdminUnitId")
					VALUES (FeatureId, 1, PortalSysAdminUnit);
			END IF;
		END IF;
	END;
END;