DECLARE
	TYPE TableNamelist IS TABLE OF VARCHAR2(50);
	TableNames TableNamelist;
	TYPE OperationDataCursor IS REF CURSOR;
	l_OperationDataCursor OperationDataCursor;
	TYPE RecordIdNamelist IS TABLE OF VARCHAR2(50);
	RecordIds RecordIdNamelist;
	TYPE RecordDataCursor IS REF CURSOR;
	l_RecordDataCursor RecordDataCursor;
BEGIN
	IF ("tspkg_Update77To78"."fn_IsRowsExist"('SysLic') = 0) THEN
		RETURN;
	END IF;
	
	OPEN l_OperationDataCursor FOR 'SELECT DISTINCT "TableName" from "tmp_OperationData" ORDER BY "TableName"';
		FETCH l_OperationDataCursor BULK COLLECT INTO TableNames;
	CLOSE l_OperationDataCursor;

	FOR i IN TableNames.FIRST .. TableNames.LAST
	LOOP
		IF "tspkg_Update77To78"."fn_IsObjectExist"(TableNames(i)) != 0 THEN
			OPEN l_RecordDataCursor FOR 'SELECT "RecordId" from "tmp_OperationData" where "TableName" = ''' || TableNames(i) || '''';
				FETCH l_RecordDataCursor BULK COLLECT INTO RecordIds;
			CLOSE l_RecordDataCursor;
			FOR j IN RecordIds.FIRST .. RecordIds.LAST
			LOOP
				EXECUTE IMMEDIATE 'DELETE FROM "' || TableNames(i) || '" WHERE "Id" = ''' || RecordIds(j) || '''';
			END LOOP;
		END IF;
	END LOOP;

	IF "tspkg_Update77To78"."fn_IsObjectExist"('tmp_OperationData') != 0 THEN
		EXECUTE IMMEDIATE 'DROP TABLE "tmp_OperationData"';
	END IF;
END;
